Subject: [TLS] TLS 1.3 and existing drafts

From: Watson Ladd <[email-masked]>
Date: Thu, 27 Mar 2014 21:55:51 -0400

Dear all:

draft-bhargavan-tls-session-hash-00.txt will likely need to be either
adopted or obviated (by making the required behavior mandatory) in TLS
1.3: it fixes a real problem, which even eliminating renegotiation
doesn't solve. (If we fix the handshake for TLS 1.3, we still need to
indicate this in case of fallback)

The proposed shift to AEAD schemes only seems to leave behind
draft-ietf-tls-encrypt-then-mac-00, unless this is being defined ala
AES+GCM, which I don't think it is.

In both cases, having two separate fixes, one in TLS 1.2, and one in
TLS 1.3 seems like a terrible idea. These drafts have not yet become
RFCs, but if we want to avoid having TLS 1.3 as a new version on the
wire, we should probably avoid having two distinct solutions for the
same problem.

Sincerely,
Watson Ladd